/**
 * <copyright>
 * </copyright>
 *
 * $Id: TypeSystemValidator.java,v 1.1 2008-04-01 09:35:54 vmahe Exp $
 */
package orgomg.cwm.foundation.typemapping.validation;

import org.eclipse.emf.common.util.EList;

import orgomg.cwm.foundation.softwaredeployment.SoftwareSystem;

/**
 * A sample validator interface for {@link orgomg.cwm.foundation.typemapping.TypeSystem}.
 * This doesn't really do anything, and it's not a real EMF artifact.
 * It was generated by the org.eclipse.emf.examples.generator.validator plug-in to illustrate how EMF's code generator can be extended.
 * This can be disabled with -vmargs -Dorg.eclipse.emf.examples.generator.validator=false.
 */
public interface TypeSystemValidator {
	boolean validate();

	boolean validateSupportingSystem(EList<SoftwareSystem> value);
	boolean validateVersion(String value);
}
